# WOK
TKWOK
WOKMake

# WOKMake_DataMapOfHAsciiStringOfStepBuilder Class Reference

`#include <WOKMake_DataMapOfHAsciiStringOfStepBuilder.hxx>`

Inheritance diagram for WOKMake_DataMapOfHAsciiStringOfStepBuilder:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKMake_DataMapOfHAsciiStringOfStepBuilder (const Standard_Integer NbBuckets=1)
Standard_EXPORT WOKMake_DataMapOfHAsciiStringOfStepBuilder & | Assign (const WOKMake_DataMapOfHAsciiStringOfStepBuilder &Other)
WOKMake_DataMapOfHAsciiStringOfStepBuilder & | operator= (const WOKMake_DataMapOfHAsciiStringOfStepBuilder &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~WOKMake_DataMapOfHAsciiStringOfStepBuilder ()
Standard_EXPORT Standard_Boolean | Bind (const Handle(TCollection_HAsciiString)&K, const WOKMake_StepBuilder &I)
Standard_EXPORT Standard_Boolean | IsBound (const Handle(TCollection_HAsciiString)&K) const
Standard_EXPORT Standard_Boolean | UnBind (const Handle(TCollection_HAsciiString)&K)
Standard_EXPORT const WOKMake_StepBuilder & | Find (const Handle(TCollection_HAsciiString)&K) const
const WOKMake_StepBuilder & | operator() (const Handle(TCollection_HAsciiString)&K) const
Standard_EXPORT WOKMake_StepBuilder & | ChangeFind (const Handle(TCollection_HAsciiString)&K)
WOKMake_StepBuilder & | operator() (const Handle(TCollection_HAsciiString)&K)

## Private Member Functions

Standard_EXPORT | WOKMake_DataMapOfHAsciiStringOfStepBuilder (const WOKMake_DataMapOfHAsciiStringOfStepBuilder &Other)

## Constructor & Destructor Documentation

Standard_EXPORT WOKMake_DataMapOfHAsciiStringOfStepBuilder::WOKMake_DataMapOfHAsciiStringOfStepBuilder | ( | const Standard_Integer | NbBuckets = `1` | ) |

WOKMake_DataMapOfHAsciiStringOfStepBuilder::~WOKMake_DataMapOfHAsciiStringOfStepBuilder | ( |  | ) | `[inline]`

Standard_EXPORT WOKMake_DataMapOfHAsciiStringOfStepBuilder::WOKMake_DataMapOfHAsciiStringOfStepBuilder | ( | const WOKMake_DataMapOfHAsciiStringOfStepBuilder & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT WOKMake_DataMapOfHAsciiStringOfStepBuilder& WOKMake_DataMapOfHAsciiStringOfStepBuilder::Assign | ( | const WOKMake_DataMapOfHAsciiStringOfStepBuilder & | Other | ) |

Standard_EXPORT Standard_Boolean WOKMake_DataMapOfHAsciiStringOfStepBuilder::Bind | ( | const Handle(TCollection_HAsciiString)& | K,
|  | const WOKMake_StepBuilder & | I
| ) |

Standard_EXPORT WOKMake_StepBuilder& WOKMake_DataMapOfHAsciiStringOfStepBuilder::ChangeFind | ( | const Handle(TCollection_HAsciiString)& | K | ) |

Standard_EXPORT void WOKMake_DataMapOfHAsciiStringOfStepBuilder::Clear | ( |  | ) |

Standard_EXPORT const WOKMake_StepBuilder& WOKMake_DataMapOfHAsciiStringOfStepBuilder::Find | ( | const Handle(TCollection_HAsciiString)& | K | ) | const

Standard_EXPORT Standard_Boolean WOKMake_DataMapOfHAsciiStringOfStepBuilder::IsBound | ( | const Handle(TCollection_HAsciiString)& | K | ) | const

void WOKMake_DataMapOfHAsciiStringOfStepBuilder::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

void* WOKMake_DataMapOfHAsciiStringOfStepBuilder::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

void* WOKMake_DataMapOfHAsciiStringOfStepBuilder::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

WOKMake_StepBuilder& WOKMake_DataMapOfHAsciiStringOfStepBuilder::operator() | ( | const Handle(TCollection_HAsciiString)& | K | ) | `[inline]`

const WOKMake_StepBuilder& WOKMake_DataMapOfHAsciiStringOfStepBuilder::operator() | ( | const Handle(TCollection_HAsciiString)& | K | ) | const`[inline]`

WOKMake_DataMapOfHAsciiStringOfStepBuilder& WOKMake_DataMapOfHAsciiStringOfStepBuilder::operator= | ( | const WOKMake_DataMapOfHAsciiStringOfStepBuilder & | Other | ) | `[inline]`

Standard_EXPORT void WOKMake_DataMapOfHAsciiStringOfStepBuilder::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean WOKMake_DataMapOfHAsciiStringOfStepBuilder::UnBind | ( | const Handle(TCollection_HAsciiString)& | K | ) |

The documentation for this class was generated from the following file:

- WOKMake_DataMapOfHAsciiStringOfStepBuilder.hxx